checkbox-cli submission to LP fails

Bug #552999 reported by Mathias Gug on 2010-04-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Checkbox
High
Marc Tardif

Bug Description

While trying to submit the results of checkbox-cli 0.9.1 to LP I ran into the following error:

The following report has been generated for submission to the Launchpad hardware database:

  [[file:///home/mathiaz/.cache/checkbox/submission.xml|View Report]]

You can submit this information about your system by providing the e-mail address you use to sign in to Launchpad. If you do not have a Launchpad account, please register here:

  https://launchpad.net/+login

<email address hidden>
Exchanging information with the server...

Error: Failed to process form: Value of 'field.system' key of dict {'field.architecture': 'amd64', 'field.distribution': 'Ubuntu', 'field.date_created': '2010-04-01T02:55:47', 'field.emailaddress': '<email address hidden>', 'field.contactable': 'False', 'field.distroseries': '10.04', 'field.actions.upload': 'Upload', 'field.private': 'False', 'field.format': 'VERSION_1', 'field.live_cd': 'False'} could not be converted: None isn't acceptable as a value

Press any key to continue...

The following report has been generated for submission to the Launchpad hardware database:

  [[file:///home/mathiaz/.cache/checkbox/submission.xml|View Report]]

You can submit this information about your system by providing the e-mail address you use to sign in to Launchpad. If you do not have a Launchpad account, please register here:

  https://launchpad.net/+login

Error: No e-mail address provided, not submitting to Launchpad.

Press any key to continue...

Successfully finished testing!

Press any key to continue...
mathiaz@t-checkbox:~$

Package built from https://code.launchpad.net/~cr3/ubuntu/lucid/checkbox/0.9.1/+merge/22421

Related branches

Marc Tardif (cr3) wrote :

This was run on a virtual machine, please let me know whether it was kvm or virtualbox.

Changed in checkbox:
assignee: nobody → Marc Tardif (cr3)
importance: Undecided → High
status: New → Incomplete

On Thu, Apr 01, 2010 at 12:52:01PM -0000, Marc Tardif wrote:
> This was run on a virtual machine, please let me know whether it was kvm
> or virtualbox.

It was run in a kvm guest.

--
Mathias Gug
Ubuntu Developer http://www.ubuntu.com

Marc Tardif (cr3) wrote :

I tried running checkbox-cli in a kvm guest installed with ubuntu-server for lucid and submission to Launchpad worked fine. The problem you have been experiencing should've been fixed with bug #537435 which addressed the problem of chassis detection. Just in case you were running on a system where a previous version of checkbox had run, please try to rm -fr ~/.cache/checkbox before re-running checkbox-cli. If the problem persists, please attach the output from running the following command: /usr/share/checkbox/scripts/udev_resource. Thanks!

Mathias Gug (mathiaz) wrote :
Download full text (4.4 KiB)

On Thu, Apr 01, 2010 at 06:38:29PM -0000, Marc Tardif wrote:
> I tried running checkbox-cli in a kvm guest installed with ubuntu-server
> for lucid and submission to Launchpad worked fine.

Tried again with 0.9.1 and it still fails:

Please choose (a/b/c/d/e/f/g/h/i/j/+/ ): j
  a: Audio tests
  b: Disk tests
  c: Fingerprint reader tests
  d: Firewire disk tests
  e: Kernel modesetting tests
  f: Media tests
  g: Monitor tests
* h: Network tests
  i: Peripheral tests
  j: Video tests
  +: Plus to expand options
   : Space when finished

Please choose (a/b/c/d/e/f/g/h/i/j/+/ ):
Running internet_test...
..
Testing your connection to the Internet:

Internet connection fully established

Is this correct?

  y: yes
  n: no
  s: skip
  t: test

Please choose (y/n/s/t): y
Running cpuinfo...

Running dmesg...

Running dmi...

Running dmidecode...

Running lspci...

Running modprobe...

Running modules...

Running sysctl...

Running udev...

Building report...

The following report has been generated for submission to the Launchpad hardware database:

  [[file:///home/mathiaz/.cache/checkbox/submission.xml|View Report]]

You can submit this information about your system by providing the e-mail address you use to sign in to Launchpad. If you do not have a Launchpad account, please register here:

  https://launchpad.net/+login

<email address hidden>
Exchanging information with the server...

Error: Failed to process form: Value of 'field.system' key of dict {'field.architecture': 'amd64', 'field.distribution': 'Ubuntu', 'field.date_created': '2010-04-01T20:09:07', 'field.emailaddress': '<email address hidden>', 'field.contactable': 'False', 'field.distroseries': '10.04', 'field.actions.upload': 'Upload', 'field.private': 'False', 'field.format': 'VERSION_1', 'field.live_cd': 'False'} could not be converted: None isn't acceptable as a value

Press any key to continue...

> If the problem
> persists, please attach the output from running the following command:
> /usr/share/checkbox/scripts/udev_resource. Thanks!
>

mathiaz@t-checkbox:~$ sudo /usr/share/checkbox/scripts/udev_resource
path: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
bus: input
category: OTHER
product: Power Button

path: /devices/pci0000:00/0000:00:00.0
bus: pci
product_id: 4663
vendor_id: 32902
subproduct_id: 4352
subvendor_id: 6900

path: /devices/pci0000:00/0000:00:01.0
bus: pci
product_id: 28672
vendor_id: 32902
subproduct_id: 4352
subvendor_id: 6900

path: /devices/pci0000:00/0000:00:01.1
bus: pci
category: IDE
driver: ata_piix
product_id: 28688
vendor_id: 32902
subproduct_id: 4352
subvendor_id: 6900

path: /devices/pci0000:00/0000:00:01.1/host1/target1:0:0/1:0:0:0
bus: scsi
category: CDROM
driver: sr
product: QEMU DVD-ROM
vendor: QEMU

path: /devices/pci0000:00/0000:00:01.2
bus: pci
category: USB
driver: uhci_hcd
product_id: 28704
vendor_id: 32902
subproduct_id: 4352
subvendor_id: 6900

path: /devices/pci0000:00/0000:00:01.2/usb1
bus: usb
driver: usb
product_id: 1
vendor_id: 7531

path: /devices/pci0000:00/0000:00:01.2/usb1/1-0:1.0
bus: usb
driver: hub
product_id: 1
vendor_id: 7531

path: /devices/pci0000:00/0000:00:01.3
bus: pci
product_id: 28947
vendor_id: 32902
su...

Read more...

Marc Tardif (cr3) wrote :

The problem seems to be in the parsing of the PCI_CLASS as output by udevadm. Please attach the output of the following command to this bug report: sudo udevadm info --export-db. Thanks again!

Marc Tardif (cr3) wrote :
Marc Tardif (cr3) wrote :

Thanks so much for the bug report, this uncovered a problem in the resilient of the udev_resource script when encountering a PCI device defined without the program interface information:

P: /devices/pci0000:00/0000:00:07.0
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:07.0
E: DRIVER=virtio-pci
E: PCI_CLASS=FF00
E: PCI_ID=1AF4:1003
E: PCI_SUBSYS_ID=1AF4:0003
E: PCI_SLOT_NAME=0000:00:07.0
E: MODALIAS=pci:v00001AF4d00001003sv00001AF4sd00000003bc00scFFi00
E: SUBSYSTEM=pci

Changed in checkbox:
status: Incomplete → Fix Committed
Marc Tardif (cr3) on 2010-04-02
Changed in checkbox:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers